.\" Man page generated from reStructuredText.
.
.TH "CYR_VIRUSSCAN" "8" "August 10, 2018" "3.0.8" "Cyrus IMAP"
.SH NAME
cyr_virusscan \- Cyrus IMAP documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.sp
Scan for viruses using configured virus scanner or manage infected messages using search criteria.
.SH SYNOPSIS
.sp
.nf
\fBcyr_virusscan\fP [ \fB\-C\fP \fIconfig\-file\fP ] [ \fB\-s\fP \fIimap\-search\-string\fP ] [ \fB\-r\fP [ \fB\-n\fP] ] [\fB\-v\fP] [ \fImboxpattern1\fP ... ]
.fi
.SH DESCRIPTION
.sp
\fBcyr_virusscan\fP can be used to invoke an external virus scanner (currently
only \fI\%ClamAV\fP is
supported) to scan specified IMAP mailboxes. If no mboxpattern is given,
\fBcyr_virusscan\fP works on all mailboxes.
.sp
Alternately, with the \fB\-s\fP option, the IMAP SEARCH string will be used as a
specification of messages which are \fIassumed\fP to be infected, and will be
treated as such.  The virus scanner is not invoked. Useful for removing messages
without a distinct signature, such as Phish.
.sp
A table of infected messages will be output.
.sp
To remove infected messages, use the \fB\-r\fP flag. Infected messages will be expunged
from the user\(aqs mailbox.
.sp
With the notify flag, \fB\-n\fP, notifications will be appended to the inbox of the mailbox owner,
containing message digest information for the affected mail.  This
flag is only works in combination with \fB\-r\fP\&.
.sp
\fBcyr_virusscan\fP can be configured to run periodically by cron(8)
via crontab(5) or your preferred method (i.e. /etc/cron.hourly), or by
master(8) via the EVENTS{} section in
cyrus.conf(5)\&.
.sp
\fBcyr_virusscan\fP reads its configuration options out of the imapd.conf(5) file unless specified otherwise by \fB\-C\fP\&.
.sp
Note that Cyrus does not ship with any virus scanners: you need to install
one separately to make use of it with Cyrus.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-C config\-file
Use the specified configuration file \fIconfig\-file\fP rather than the default imapd.conf(5)\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-n
Notify mailbox owner of deleted messages via email.  This flag is
only operable in combination with \fB\-r\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-r
Remove infected messages.
.UNINDENT
.INDENT 0.0
.TP
.B \-s imap\-search\-string
Rather than scanning for viruses, messages matching the search
criteria will be treated as infected.
.UNINDENT
.INDENT 0.0
.TP
.B \-v
Produce more verbose output
.UNINDENT
.SH EXAMPLES
.sp
.nf
\fBcyr_virusscan\fP
.fi
.INDENT 0.0
.INDENT 3.5
Scan all mailboxes, printing report on the screen.  Do not
remove infected messages.
.UNINDENT
.UNINDENT
.sp
.nf
\fBcyr_virusscan\fP \-r \-n user/bovik
.fi
.INDENT 0.0
.INDENT 3.5
Scan mailbox \fIuser/bovik\fP, removing infected messages and append
notifications to bovik\(aqs inbox.
.UNINDENT
.UNINDENT
.sp
.nf
\fBcyr_virusscan\fP \-r \-n \-s \(aqSUBJECT "Fedex"\(aq user/bovik
.fi
.INDENT 0.0
.INDENT 3.5
Search mailbox user/bovik for messages which have Fedex in the
subject line, removing them all, and appending notifications to
Bovik\(aqs inbox.
.UNINDENT
.UNINDENT
.SH HISTORY
.sp
Virus scan support was first introduced in Cyrus version 3.0.
.SH FILES
.sp
/etc/imapd.conf
.SH SEE ALSO
.sp
imapd.conf(5), master(8), \fI\%ClamAV\fP
.SH AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)
.SH COPYRIGHT
1993-2017, The Cyrus Team
.\" Generated by docutils manpage writer.
.
